ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0020901ClearCenterapp-clearglass - ClearGLASS Enginepublic2018-07-25 08:462018-10-30 19:47
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.5.0 Updates 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0020901: Add workaround for reboot
DescriptionClearGLASS does not behave on a reboot. Add an "onboot" event to restart it on boot - this is just a temporary workaround until fixed upstream.
TagsNo tags attached.
Attached Files

- Relationships
related to 0020911confirmed Remove workaround for reboot 

-  Notes
(0007781)
NickH (developer)
2018-08-10 03:02

If this fix has been released, it does not seem to work. Currently, if you start docker on boot or manually, ClearGLASS tries to come up immediately but hangs starting forever (one or two of the containers fail). You have to manually stop and restart ClearGLASS before it comes up successfully.
(0007841)
pbaldwin (administrator)
2018-08-14 07:55
edited on: 2018-08-14 07:56

The update is still in updates-testing. Please feel free to re-open if ClearGLASS does not come up on boot.

Note 1: a more generic methodology for handling docker-compose on boot is needed. This is merely a workaround for ClearGLASS.

Note 2: this only handles the "onboot" scenario as described in the scope of the issue. Restarting Docker from the CLI is a different matter - that would require:

- Potentially restarting docker-compose containers
- Restarting the firewall

(0007851)
pbaldwin (administrator)
2018-08-14 08:00

Tracker 0021031 will handle the firewall part of the onboot process.

- Issue History
Date Modified Username Field Change
2018-07-25 08:46 pbaldwin New Issue
2018-07-25 08:47 pbaldwin Issue cloned: 0020911
2018-07-25 08:47 pbaldwin Relationship added related to 0020911
2018-07-25 08:48 pbaldwin Description Updated View Revisions
2018-07-25 08:53 pbaldwin Status new => confirmed
2018-07-25 09:21 pbaldwin Status confirmed => resolved
2018-07-25 09:21 pbaldwin Fixed in Version => 7.5.0 Updates
2018-07-25 09:21 pbaldwin Resolution open => fixed
2018-07-25 09:21 pbaldwin Assigned To => pbaldwin
2018-08-10 03:02 NickH Note Added: 0007781
2018-08-10 03:02 NickH Status resolved => feedback
2018-08-10 03:02 NickH Resolution fixed => reopened
2018-08-14 07:55 pbaldwin Note Added: 0007841
2018-08-14 07:55 pbaldwin Status feedback => assigned
2018-08-14 07:56 pbaldwin Status assigned => resolved
2018-08-14 07:56 pbaldwin Resolution reopened => fixed
2018-08-14 07:56 pbaldwin Note Edited: 0007841 View Revisions
2018-08-14 08:00 pbaldwin Note Added: 0007851
2018-10-30 19:47 pbaldwin Status resolved => closed